/* ke_search needs a css file otherwise it will throw an error */

.search-filters {
  color: var(--rebrush-color-210611)
}

.search-filters .searchfilter-facets .checkbox-menu .no-checkbox {
  margin-bottom: 0;
  padding-bottom: 0
}

.search-filters .inline-menu > .dropdown-menu-item.checkbox-menu-item.js-dropdown-item {
  -ms-grid-columns: auto 1fr auto;
  align-items: start;
  display: -ms-grid;
  display: grid;
  grid-template-columns: auto 1fr auto;
  padding: .5rem 0;
  white-space: normal
}

.search-filters .inline-menu > .dropdown-menu-item.checkbox-menu-item.js-dropdown-item * {
  font-size: 1rem;
  line-height: 1.25
}

.search-filters .inline-menu > .dropdown-menu-item.checkbox-menu-item.js-dropdown-item > input[type=checkbox] {
  -ms-grid-row-align: start;
  align-self: start;
  margin-top: .25rem
}

.search-filters .inline-menu > .dropdown-menu-item.checkbox-menu-item.js-dropdown-item > label {
  display: block;
  padding: 0 0 0 .25rem
}

.search-filters .inline-menu > .dropdown-menu-item.checkbox-menu-item.js-dropdown-item > .dropdown-link {
  align-self: baseline;
  position: relative;
  z-index: 99999
}

.search-filters .inline-menu > .dropdown-menu-item.checkbox-menu-item.js-dropdown-item > .js-dropdown-menu {
  grid-column: 1/-1;
  margin-top: 1rem
}


.searchfilter-collapsible__trigger__wrapper {
  display: flex;
  justify-content: center
}


@media (min-width: 1024px) {
  .search-filters .searchfilter-facets .filter-list > .js-dropdown-item:last-of-type:not(:first-of-type) .dropdown-menu {
    left: auto;
    right: 0
  }

  .search-filters .searchfilter-facets .filter-list > .js-dropdown-item:last-of-type:nth-of-type(2) .dropdown-menu {
    left: 0;
    right: auto
  }

  .search-filters .searchfilter-facets .dropdown-menu {
    min-width: 18.75rem;
    width: auto
  }
}

.searchfilter-collapsible__trigger:after {
  display: none
}

.searchfilter-list {
  border-bottom-style: none;
  border-top-style: none;
  margin-bottom: .5rem;
  padding: 0 1.25rem
}


.searchfilter-list {
  border-bottom: 1px solid #777673
}

.searchfilter-list, .theme-color-topics .searchfilter-list {
  border-top: 1px solid #777673
}

.theme-color-announcement .searchfilter-list {
  border-top: 1px solid #c40046
}

.theme-color-media-center .searchfilter-list {
  border-top: 1px solid #007eb5
}

.theme-color-ministry .searchfilter-list {
  border-top: 1px solid #004f80
}

.theme-color-service .searchfilter-list {
  border-top: 1px solid #a13d6d
}

.theme-color-topics .searchfilter-list {
  border-bottom: 1px solid #777673
}

.theme-color-announcement .searchfilter-list {
  border-bottom: 1px solid #c40046
}

.theme-color-media-center .searchfilter-list {
  border-bottom: 1px solid #007eb5
}

.theme-color-ministry .searchfilter-list {
  border-bottom: 1px solid #004f80
}

.theme-color-service .searchfilter-list {
  border-bottom: 1px solid #a13d6d
}

.filter-selection-list, .searchfilter-list {
  font-size: 1.3125em;
  line-height: 1.33333em;
  list-style-type: none;
  margin: 0;
  padding: 0 .71429em
}

@media (min-width: 0) and (max-width: 767px) {
  .filter-selection-list, .searchfilter-list {
    padding: .3125em .625em
  }
}

.filter-selection-list .searchfilter-category, .searchfilter-list .searchfilter-category {
  float: left;
  padding-bottom: .47619em;
  padding-top: .47619em
}

.filter-selection-list .searchfilter-category:focus, .searchfilter-list .searchfilter-category:focus {
  outline: 1px dotted #000
}

.filter-selection-list .searchfilter-category .dropdown-menu-item, .searchfilter-list .searchfilter-category .dropdown-menu-item {
  overflow: hidden;
  position: relative
}

.filter-selection-list .searchfilter-category .dropdown-menu-item > .menu-link, .searchfilter-list .searchfilter-category .dropdown-menu-item > .menu-link {
  font-weight: 400
}

.filter-selection-list .searchfilter-category .dropdown-menu-item > .menu-link.preselect, .searchfilter-list .searchfilter-category .dropdown-menu-item > .menu-link.preselect {
  font-weight: 700
}

.filter-selection-list .searchfilter-category .dropdown-menu-item > .menu-link.preselect:before, .searchfilter-list .searchfilter-category .dropdown-menu-item > .menu-link.preselect:before {
  content: "ausgewählt";
  position: absolute;
  right: 110%
}

html[lang=en] .filter-selection-list .searchfilter-category .dropdown-menu-item > .menu-link.preselect:before, html[lang=en] .searchfilter-list .searchfilter-category .dropdown-menu-item > .menu-link.preselect:before {
  content: "selected"
}

.filter-selection-list .searchfilter-category a:hover, .searchfilter-list .searchfilter-category a:hover {
  text-decoration: none
}

.filter-selection-list .searchfilter-category a [class*=link]:focus, .filter-selection-list .searchfilter-category a:focus, .searchfilter-list .searchfilter-category a [class*=link]:focus, .searchfilter-list .searchfilter-category a:focus {
  outline: 1px dotted #000;
  text-decoration: none
}


@media (min-width: 0) and (max-width: 767px) {
  .searchfilter-list .searchfilter-category {
    flex: 1 1 100%;
    margin-bottom: .9375rem
  }
}

@media (min-width: 0) {
  .searchfilter-collapsible__trigger:before {
    display: none
  }

  .searchfilter-collapsible__trigger:after {
    background-position: 50%;
    background-repeat: no-repeat;
    background-size: 100% auto;
    content: "";
    display: inline-block;
    height: 1.25rem;
    margin-left: .75rem;
    position: relative;
    top: 3px;
    width: 1.25rem
  }

  .searchfilter-collapsible__trigger[aria-expanded=true]:after {
    background-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIxMDI0IiBoZWlnaHQ9IjEwMjQiIGFyaWEtaGlkZGVuPSJ0cnVlIj48cGF0aCBkPSJtODM2IDY4NyA1MS01Ni0zNzUtMzc5LTM3NSAzNzkgNTUgNTYgMzIwLTMyNHoiLz48L3N2Zz4=");
    content: ""
  }

  .searchfilter-collapsible__trigger[aria-expanded=false]:after {
    background-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIxMDI0IiBoZWlnaHQ9IjEwMjQiIGFyaWEtaGlkZGVuPSJ0cnVlIj48cGF0aCBkPSJtMTg4IDMzNy01MSA1NiAzNzUgMzc5IDM3NS0zNzktNTUtNTYtMzIwIDMyNHoiLz48L3N2Zz4=");
    content: "";
    transform: none
  }
}

button.searchfilter-collapsible__trigger {
  background-color: transparent;
  border: 0;
  font-size: 1.375rem;
  font-weight: 700;
  line-height: 26px;
  margin-bottom: 25px;
  margin-top: 30px
}

.show-focus-outlines button.searchfilter-collapsible__trigger:focus {
  outline: dotted var(--outline--width) #000
}

input.filter {
  background-color: rgb(37 104 113);
  border-style: none;
  color: white;
  font-size: 1.25rem;
  font-weight: 400;
  line-height: 1.625rem;
  margin: 1.875rem 0 .3125rem .3125rem;
  padding: .3125rem .75rem .5625rem;
  max-width: 315px;
  width: 100%;
  /*    text-transform: uppercase;*/
  border-radius: 20px;
}

/* Example styling */
.filter-wrapper {
  margin-bottom: 10px;
}

#kesearch_filters {
  display: none; /* Hide initially */
  /*    padding: 10px;*/
  /*background-color: #f0f0f0;
  border: 1px solid #ccc;*/
}

.tx-kesearch-pi1 .form-check-input-custom {
  float: right;
  margin-left: 0;
  margin-right: -1.5rem;
  border-radius: 8px;
  appearance: none;
}

.tx-kesearch-pi1 .form-check-input-custom {
  width: 1em;
  height: 1em;
  margin-top: .175em;
  vertical-align: top;
  background-color: #fff;
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  border: 1px solid rgba(0, 0, 0, .25);
  appearance: none;
  color-adjust: exact;
}

.tx-kesearch-pi1 #kesearch_filters .form-check-input-custom {
  width: 1.2em;
  height: 1.2em
}

.tx-kesearch-pi1 .form-check-input-custom {
  padding-left: 0;
  margin-bottom: .25em
}


.tx-kesearch-pi1 .form-check-input-custom:checked {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-100 -100 700 700'%3e%3cpolygon fill='white' points='456.851,0 245,212.564 33.149,0 0.708,32.337 212.669,245.004 0.708,457.678 33.149,490 245,277.443 456.851,490   489.292,457.678 277.331,245.004 489.292,32.337'/%3e%3c/svg%3e");
  background-size: 80%
}

@media (min-width: 1292px) and (max-width: 1499px) {
  .tx-kesearch-pi1 .form-check-label span.custom {
    padding-right: 10px;
  }
}

.form-check-input-custom:disabled {
  pointer-events: none;
  filter: none;
  opacity: .5;
}
